%define upstream_name    Tapper-TestSuite-Netperf
%define upstream_version 4.1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tapper - Network performance measurements - Client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Network performance measurements client for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-testsuite-netperf-client
/usr/bin/tapper-testsuite-netperf-server
/usr/share/man/man1/tapper-testsuite-netperf-client.1.xz
/usr/share/man/man1/tapper-testsuite-netperf-server.1.xz

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514848
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 4.1.1-1.mga3
+ Revision: 342648
- update to 4.1.1

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310319
- Fix desc

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310238
- imported package perl-Tapper-TestSuite-Netperf


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
